<?php
/* -*- php -*- ****************************************************************
 *
 *  System        : 
 *  Module        : 
 *  Object Name   : $RCSfile$
 *  Revision      : $Revision$
 *  Date          : $Date$
 *  Author        : $Author$
 *  Created By    : Robert Heller
 *  Created       : Thu Oct 26 09:52:55 2017
 *  Last Modified : <171026.1032>
 *
 *  Description	
 *
 *  Notes
 *
 *  History
 *	
 ****************************************************************************
 *
 *    Copyright (C) 2017  Robert Heller D/B/A Deepwoods Software
 *			51 Locke Hill Road
 *			Wendell, MA 01379-9728
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * 
 *
 ****************************************************************************/

//require_once ( get_template_directory() . '/functions/theme-options.php' );
//require_once ( get_template_directory() . '/functions/register_sidebars.php' );
//require_once ( get_template_directory() . '/functions/widgets.php' );
//require_once ( get_template_directory() . '/functions/DeepwoodsMetaBox.php' );
//require_once ( get_template_directory() . '/functions/deepsoft_paypal_ipn.php' );
//require_once ( get_template_directory() . '/functions/navmenus.php' );
//require_once ( get_template_directory() . '/functions/deepsoft_comments.php' );

class CountryRobot_Theme {
  public static $TheThemeObject = null;
  
  
  
  function __construct ( $args = "" ) {
    add_action( 'after_setup_theme', array ($this, 'theme_setup') );
    CountryRobot_Theme::$TheThemeObject = $this;
  }
  
  function theme_setup () {
    add_theme_support( 'automatic-feed-links' );
    add_theme_support( 'title-tag' );
    $GLOBALS['content_width'] = 900;
    register_nav_menus( array(
                 'header-menu' => __('Header Menu', 'country-robot'),
                 'footer-menu' => __('Footer Menu', 'country-robot') ));
    wp_link_pages( );
    
  }
}


new CountryRobot_Theme();
  
  
